/*
 * Class WEL_ICC_CONSTANTS
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_334 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_334 [] = {0xFF01,1551,333,0xFFFF};
static const EIF_TYPE_INDEX egt_2_334 [] = {0xFF01,333,0xFFFF};
static const EIF_TYPE_INDEX egt_3_334 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_334 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_334 [] = {0xFF01,333,0xFFFF};
static const EIF_TYPE_INDEX egt_6_334 [] = {0xFF01,333,0xFFFF};
static const EIF_TYPE_INDEX egt_7_334 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_334 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_334 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_334 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_334 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_334 [] = {0xFF01,333,0xFFFF};


static const struct desc_info desc_334[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_334), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_334), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_334), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_334), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_334), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_334), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_334), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_334), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_334), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_334), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_334), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_334), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x029B /*333*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_334), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6301, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6302, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6303, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6304, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6305, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6294, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6295, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6296, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6297, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6298, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6299, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6300, 0xFFFFFFFF},
};
void Init334(void)
{
	IDSC(desc_334, 0, 333);
	IDSC(desc_334 + 1, 1, 333);
	IDSC(desc_334 + 32, 1508, 333);
}


#ifdef __cplusplus
}
#endif
